Subject: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jun 2019 19:07:32 +0300

[Please keep the bug address on the CC list.]

> From: Raoul Comninos <[email-masked]>
> Date: Thu, 13 Jun 2019 15:58:26 +0200
> 
> Are you speaking of the default Emacs font?

Yes.

> At present I am using Dejavu Sans Mono. How would I go about
> changing the font expressly for the Hebrew display? I removed
> fonts-sil-ezra. Would I need to use the unicode-fonts package?

If you are using Dejavu Sans Mono, please try a few more fonts.  No
need to set a special font for Hebrew, just invoke Emacs like this:

  emacs -Q -fn FONT-NAME

where FONT-NAME is the name of some font you have on your system.

Also, please go to some character that precedes a circle, type
"C-u C-x =" again, and show the output here, I want to make sure you
are using the xfthb font backend.